=== debian/changelog ===
aqsis (1.8.1-4build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 14:04:23 +0100

aqsis (1.8.1-4) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.4 (no changes needed)
    - Remove "DM-Upload-Allowed: yes" (obsolete field now)
    - Update Maintainer address
  * Add support for PNG

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 1 Apr 2013 00:34:33 +0100

aqsis (1.8.1-3) unstable; urgency=low

  * Build-Depend on libtiff-dev after all, since it seems that using
    libtiff5-dev in wheezy is discouraged (see #676786, K-3D bug, for an
    explanation)
  * Creating man page for ptview (quells lintian warning), and update the others
    for the new upstream version

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jun 2012 16:41:25 +0100

aqsis (1.8.1-2) unstable; urgency=low

  * Build-Depend on libtiff5-dev (instead of libtiff4-dev)
  * Add VCS fields to debian/control
  * lintian:
    - Update override package-name-doesnt-match-sonames for 1.8 series
    - Create override for no-symbols-control-file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 05 Jun 2012 16:32:39 +0100

aqsis (1.8.1-1) unstable; urgency=low

  * New upstream version
    - License switched to BSD
    - Drop patches (already present upstream):
      - bug#624504_ftbfs-boost_1.46
      - ftbfs-missing_cstddef.diff
  * Remove previous maintainer, not active for many years
  * Build-Depends:
    - Remove FLTK libraries, add Qt instead
    - Add libilmbase

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 27 Mar 2012 20:02:58 +0100

aqsis (1.6.0-10) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed)
  * Build-Depend on debhelper>=9~ to avoid lintian warning
  * Improvement to build-hardening, thanks Simon Ruderich (Closes: #662833)
    - Use CPPFLAGS from dpkg-buildflags by passing it to CFLAGS/CXXFLAGS
      instead, otherwise CMake ignores them
    - Use hardening=+all instead of enabling +pie +bindnow individually, as
      suggested in the bug report, to take advantage of extra options in the
      future.  However, some options are not default for a reason, and not
      always can they be applied blindly/automatically; so maybe this has to be
      reverted in the future.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 06 Mar 2012 19:49:51 +0000
