=== debian/control ===
Source: aqsis
Section: graphics
Priority: optional
Standards-Version: 3.9.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Homepage: http://www.aqsis.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aqsis.git
Vcs-Git: git://anonscm.debian.org/collab-maint/aqsis.git
Build-Depends: debhelper (>= 9~),
               cmake (>= 2.6.3),
               flex (>= 2.5.35),
               bison (>= 1.35),
               libtiff-dev,
               libjpeg-dev,
               libpng-dev,
               libopenexr-dev,
               libilmbase-dev,
               zlib1g-dev,
               libboost-filesystem-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-iostreams-dev (>= 1.42),
               libboost-wave-dev (>= 1.42),
               libboost-regex-dev (>= 1.42),
               libboost-serialization-dev (>= 1.42),
               libboost-test-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libtinyxml-dev (>= 2.5),
               libqt4-dev (>= 4.6.2),
               libqt4-opengl-dev (>= 4.6.2),
               xsltproc


Package: aqsis
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libaqsis1 (= ${binary:Version})
Suggests: aqsis-examples (= ${binary:Version})
Description: 3D rendering solution adhering to the RenderMan(R) standard, binaries
 Aqsis is a high quality, photorealistic, 3D rendering solution. It complies
 with the RenderMan(R) interface standard defined by Pixar.
 .
 The RenderMan(R) standard has been used in film and television visual effects
 since its introduction in 1989. Pixar has used their own implementation for all
 of their award winning CG features, and provided their implementation for use
 in the visual effects of most major blockbuster films over the last 2
 decades. The Aqsis project offers a way for individuals and organisations alike
 to gain experience with the RenderMan(R) interface without the cost of
 commercial software licenses.
 .
 This package contains the Aqsis binaries (command line rendering tool, a tool
 for compiling shaders in the RSL language and a tool for preparing textures for
 optimal use).

Package: aqsis-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: aqsis,
          python
Replaces: aqsis-data (<< 1.6.0)
Breaks: aqsis-data (<< 1.6.0)
Description: 3D rendering solution adhering to the RenderMan(R) standard, examples
 Aqsis is a high quality, photorealistic, 3D rendering solution. It complies
 with the RenderMan(R) interface standard defined by Pixar.
 .
 The RenderMan(R) standard has been used in film and television visual effects
 since its introduction in 1989. Pixar has used their own implementation for all
 of their award winning CG features, and provided their implementation for use
 in the visual effects of most major blockbuster films over the last 2
 decades. The Aqsis project offers a way for individuals and organisations alike
 to gain experience with the RenderMan(R) interface without the cost of
 commercial software licenses.
 .
 This package contains examples like scenes, procedurals and shaders.

Package: libaqsis1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: aqsis-libs (<< 1.6.0),
          aqsis-libsc2a (<< 1.6.0)
Breaks: aqsis-libs (<< 1.6.0),
        aqsis-libsc2a (<< 1.6.0)
Description: 3D rendering solution adhering to the RenderMan(R) standard, shared libs
 Aqsis is a high quality, photorealistic, 3D rendering solution. It complies
 with the RenderMan(R) interface standard defined by Pixar.
 .
 The RenderMan(R) standard has been used in film and television visual effects
 since its introduction in 1989. Pixar has used their own implementation for all
 of their award winning CG features, and provided their implementation for use
 in the visual effects of most major blockbuster films over the last 2
 decades. The Aqsis project offers a way for individuals and organisations alike
 to gain experience with the RenderMan(R) interface without the cost of
 commercial software licenses.
 .
 This package contains the Aqsis shared libraries.

Package: libaqsis-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libaqsis1 (= ${binary:Version})
Replaces: aqsis-libs-dev (<< 1.6.0)
Breaks: aqsis-libs-dev (<< 1.6.0)
Description: 3D rendering solution adhering to the RenderMan(R) standard, development files
 Aqsis is a high quality, photorealistic, 3D rendering solution. It complies
 with the RenderMan(R) interface standard defined by Pixar.
 .
 The RenderMan(R) standard has been used in film and television visual effects
 since its introduction in 1989. Pixar has used their own implementation for all
 of their award winning CG features, and provided their implementation for use
 in the visual effects of most major blockbuster films over the last 2
 decades. The Aqsis project offers a way for individuals and organisations alike
 to gain experience with the RenderMan(R) interface without the cost of
 commercial software licenses.
 .
 This package contains the Aqsis development files.
